summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michael Wagner2010-05-11 15:18:41 +0200
committer Michiel van Wessem2010-05-11 15:18:41 +0200
commit796e09f420c685738be4a536db87eac69a02a27b (patch)
treef09b506d88bce6449f2fd0b46c270d3331212a64
parent1975d4a1ec58b490155aa999ac6be190de4cdf0d (diff)
downloadslackbuilds-796e09f420c685738be4a536db87eac69a02a27b.tar.gz
system/mybashburn: Initial import
-rw-r--r--system/mybashburn/README12
-rw-r--r--system/mybashburn/doinst.sh14
-rw-r--r--system/mybashburn/mybashburn.SlackBuild76
-rw-r--r--system/mybashburn/mybashburn.info8
-rw-r--r--system/mybashburn/slack-desc19
5 files changed, 129 insertions, 0 deletions
diff --git a/system/mybashburn/README b/system/mybashburn/README
new file mode 100644
index 0000000000..c40f1b9c2e
--- /dev/null
+++ b/system/mybashburn/README
@@ -0,0 +1,12 @@
+MyBashBurn (Burn from the CLI with dialog boxes)
+
+A frontend with dialog box that draws (using ncurses) windows onto
+the screen and can burn data cds, music cds, supports burning
+DVD-images and data DVDs as well as ripping/encoding.
+
+It was forked form bashburn to provide a nicer User Interface.
+
+If you want MyBashBurn to handle mp3 files, please install LAME
+which is also available at slackbuilds.org.
+
+Homepage: http://mybashburn.sourceforge.net
diff --git a/system/mybashburn/doinst.sh b/system/mybashburn/doinst.sh
new file mode 100644
index 0000000000..9d5b892eff
--- /dev/null
+++ b/system/mybashburn/doinst.sh
@@ -0,0 +1,14 @@
+# Handle configuration files
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+# List of configuration files (they should end in .new)
+config etc/mybashburnrc.new
diff --git a/system/mybashburn/mybashburn.SlackBuild b/system/mybashburn/mybashburn.SlackBuild
new file mode 100644
index 0000000000..63792d27f3
--- /dev/null
+++ b/system/mybashburn/mybashburn.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+# Slackware Build Script for mybashburn
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+set -e
+
+PRGNAM=mybashburn
+VERSION=1.0.1
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make install DESTDIR=$PKG || exit 1
+
+# Move mandir, docdir and sysconfir to their proper locations
+( for i in man doc etc; do
+ if [ $i != etc ]; then
+ mv $PKG/usr/share/$i $PKG/usr
+ else
+ cat $PKG/usr/share/$PRGNAM/etc/${PRGNAM}rc > $PKG/etc/${PRGNAM}rc.new
+ rm -rf $PKG/usr/share/$PRGNAM/etc
+ fi
+done ) || exit 1
+
+# Re-arrange the symlinks created during make install
+for i in `find $PKG -type l`; do
+ if [ `basename $i` != mybashburn ]; then
+ ln -sf ../../doc/$PRGNAM-$VERSION/`basename $i` $i
+ else
+ ln -sf ../share/$PRGNAM/MyBashBurn.sh $i
+ fi
+done
+
+( cd $PKG/usr/man
+ find . -name "*.?" -type f 2> /dev/null | xargs gzip -9 2> /dev/null
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/mybashburn/mybashburn.info b/system/mybashburn/mybashburn.info
new file mode 100644
index 0000000000..4e6980e98b
--- /dev/null
+++ b/system/mybashburn/mybashburn.info
@@ -0,0 +1,8 @@
+PRGNAM="mybashburn"
+VERSION="1.0.1"
+HOMEPAGE="http://mybashburn.sourceforge.net"
+DOWNLOAD="http://dl.sourceforge.net/mybashburn/mybashburn-1.0.1.tar.bz2"
+MD5SUM="1c07092a077b47bef3d06bf0124d3ebb "
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="BP{k}"
diff --git a/system/mybashburn/slack-desc b/system/mybashburn/slack-desc
new file mode 100644
index 0000000000..5aa8ccabc2
--- /dev/null
+++ b/system/mybashburn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mybashburn: MyBashBurn (Burn from the CLI with dialog boxes)
+mybashburn:
+mybashburn: A frontend with dialog box that draws (using ncurses) windows onto
+mybashburn: the screen and can burn data cds, music cds, supports burning
+mybashburn: DVD-images and data DVDs as well as ripping/encoding.
+mybashburn:
+mybashburn: It was forked form bashburn to provide a nicer User Interface.
+mybashburn:
+mybashburn: Homepage: http://mybashburn.sourceforge.net
+mybashburn:
+mybashburn: